Create related person
curl --request POST \
--url https://api.openloophealth.com/v0.1/related-persons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"patient_id": "<string>",
"active": true,
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"birth_date": "<string>",
"relationships": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"addresses": [
{
"text": "<string>",
"line": [
"<string>"
],
"city": "<string>",
"district": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
],
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.openloophealth.com/v0.1/related-persons"
payload = {
"patient_id": "<string>",
"active": True,
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"birth_date": "<string>",
"relationships": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"addresses": [
{
"text": "<string>",
"line": ["<string>"],
"city": "<string>",
"district": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
],
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
patient_id: '<string>',
active: true,
first_name: '<string>',
middle_name: '<string>',
last_name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
birth_date: '<string>',
relationships: [{code: '<string>', system: '<string>', display: '<string>'}],
addresses: [
{
text: '<string>',
line: ['<string>'],
city: '<string>',
district: '<string>',
state: '<string>',
postal_code: '<string>',
country: '<string>'
}
],
period_start: '2023-11-07T05:31:56Z',
period_end: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.openloophealth.com/v0.1/related-persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/related-persons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'patient_id' => '<string>',
'active' => true,
'first_name' => '<string>',
'middle_name' => '<string>',
'last_name' => '<string>',
'email' => 'jsmith@example.com',
'phone' => '<string>',
'birth_date' => '<string>',
'relationships' => [
[
'code' => '<string>',
'system' => '<string>',
'display' => '<string>'
]
],
'addresses' => [
[
'text' => '<string>',
'line' => [
'<string>'
],
'city' => '<string>',
'district' => '<string>',
'state' => '<string>',
'postal_code' => '<string>',
'country' => '<string>'
]
],
'period_start' => '2023-11-07T05:31:56Z',
'period_end' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/related-persons"
payload := strings.NewReader("{\n \"patient_id\": \"<string>\",\n \"active\": true,\n \"first_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"birth_date\": \"<string>\",\n \"relationships\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"addresses\": [\n {\n \"text\": \"<string>\",\n \"line\": [\n \"<string>\"\n ],\n \"city\": \"<string>\",\n \"district\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\"\n }\n ],\n \"period_start\": \"2023-11-07T05:31:56Z\",\n \"period_end\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/related-persons")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"patient_id\": \"<string>\",\n \"active\": true,\n \"first_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"birth_date\": \"<string>\",\n \"relationships\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"addresses\": [\n {\n \"text\": \"<string>\",\n \"line\": [\n \"<string>\"\n ],\n \"city\": \"<string>\",\n \"district\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\"\n }\n ],\n \"period_start\": \"2023-11-07T05:31:56Z\",\n \"period_end\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/related-persons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"patient_id\": \"<string>\",\n \"active\": true,\n \"first_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"birth_date\": \"<string>\",\n \"relationships\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"addresses\": [\n {\n \"text\": \"<string>\",\n \"line\": [\n \"<string>\"\n ],\n \"city\": \"<string>\",\n \"district\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\"\n }\n ],\n \"period_start\": \"2023-11-07T05:31:56Z\",\n \"period_end\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"active": true,
"patient_id": "<string>",
"relationships": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"addresses": [
{
"use": "home",
"type": "postal",
"text": "<string>",
"line": [
"<string>"
],
"city": "<string>",
"district": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
],
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"gender": "male",
"birth_date": "<string>",
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}Related Persons
Create related person
Create a person related to a patient — a guardian, caregiver, or emergency contact — always attached to the patient via the required patient_id.
POST
/
related-persons
Create related person
curl --request POST \
--url https://api.openloophealth.com/v0.1/related-persons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"patient_id": "<string>",
"active": true,
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"birth_date": "<string>",
"relationships": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"addresses": [
{
"text": "<string>",
"line": [
"<string>"
],
"city": "<string>",
"district": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
],
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.openloophealth.com/v0.1/related-persons"
payload = {
"patient_id": "<string>",
"active": True,
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"birth_date": "<string>",
"relationships": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"addresses": [
{
"text": "<string>",
"line": ["<string>"],
"city": "<string>",
"district": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
],
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
patient_id: '<string>',
active: true,
first_name: '<string>',
middle_name: '<string>',
last_name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
birth_date: '<string>',
relationships: [{code: '<string>', system: '<string>', display: '<string>'}],
addresses: [
{
text: '<string>',
line: ['<string>'],
city: '<string>',
district: '<string>',
state: '<string>',
postal_code: '<string>',
country: '<string>'
}
],
period_start: '2023-11-07T05:31:56Z',
period_end: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.openloophealth.com/v0.1/related-persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/related-persons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'patient_id' => '<string>',
'active' => true,
'first_name' => '<string>',
'middle_name' => '<string>',
'last_name' => '<string>',
'email' => 'jsmith@example.com',
'phone' => '<string>',
'birth_date' => '<string>',
'relationships' => [
[
'code' => '<string>',
'system' => '<string>',
'display' => '<string>'
]
],
'addresses' => [
[
'text' => '<string>',
'line' => [
'<string>'
],
'city' => '<string>',
'district' => '<string>',
'state' => '<string>',
'postal_code' => '<string>',
'country' => '<string>'
]
],
'period_start' => '2023-11-07T05:31:56Z',
'period_end' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/related-persons"
payload := strings.NewReader("{\n \"patient_id\": \"<string>\",\n \"active\": true,\n \"first_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"birth_date\": \"<string>\",\n \"relationships\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"addresses\": [\n {\n \"text\": \"<string>\",\n \"line\": [\n \"<string>\"\n ],\n \"city\": \"<string>\",\n \"district\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\"\n }\n ],\n \"period_start\": \"2023-11-07T05:31:56Z\",\n \"period_end\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/related-persons")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"patient_id\": \"<string>\",\n \"active\": true,\n \"first_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"birth_date\": \"<string>\",\n \"relationships\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"addresses\": [\n {\n \"text\": \"<string>\",\n \"line\": [\n \"<string>\"\n ],\n \"city\": \"<string>\",\n \"district\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\"\n }\n ],\n \"period_start\": \"2023-11-07T05:31:56Z\",\n \"period_end\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/related-persons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"patient_id\": \"<string>\",\n \"active\": true,\n \"first_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"birth_date\": \"<string>\",\n \"relationships\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"addresses\": [\n {\n \"text\": \"<string>\",\n \"line\": [\n \"<string>\"\n ],\n \"city\": \"<string>\",\n \"district\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\"\n }\n ],\n \"period_start\": \"2023-11-07T05:31:56Z\",\n \"period_end\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"active": true,
"patient_id": "<string>",
"relationships": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"addresses": [
{
"use": "home",
"type": "postal",
"text": "<string>",
"line": [
"<string>"
],
"city": "<string>",
"district": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
],
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"gender": "male",
"birth_date": "<string>",
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}Authorizations
serviceTokenuserToken
Body
application/json

